---
- targets:
{% if observability_check_urls is defined %}
{% for url in observability_check_urls %}
  - {{ url }}
{% endfor %}
  labels:
    service_namespace: {{ service.namespace }}
    service_owner: {{ service.owner }}
    service_team: {{ service.team }}
    ansible_repo: {{ inventory_dir | basename }}
{% elif prometheus_blackbox_http_external is defined %}
{% for url in prometheus_blackbox_http_external %}
  - {{ url }}
{% endfor %}
  labels:
    service_namespace: {{ service.namespace }}
    service_owner: {{ service.owner }}
    service_team: {{ service.team }}
    ansible_repo: {{ inventory_dir | basename }}
{% endif %}
...
